/* eslint-disable react/prop-types */
/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import PropTypes from 'prop-types';
import LazyImage from 'gatsby-core-theme/src/hooks/lazy-image';
import { imagePrettyUrl } from 'gatsby-core-theme/src/helpers/getters.mjs';
import Author from 'gatsby-core-theme/src/components/atoms/author';
import Link from '~hooks/link';
import styles from './default-card.module.scss';

// Test for this component is included in cards organism test
const Card = ({ item }) => (
  <div className={styles.container}>
    <Link to={item.path} title={item.title}>
      <LazyImage src={imagePrettyUrl(item?.banner)} />
      <h2>{item.title}</h2>
    </Link>
    <Author
      authorImg={item?.author?.image}
      name={item?.author?.name}
      prefix="By"
      date={item?.updated_at}
      isCardsAuthor
    />
  </div>
);

Card.propTypes = {
  item: PropTypes.shape({ title: PropTypes.string, path: PropTypes.string }).isRequired,
};

export default Card;
